Subject: Re: bug#50993: 29.0.50; Problems when dragging the mouse over the toolbar

From: Po Lu <[email-masked]>
Date: Mon, 11 Oct 2021 18:40:35 +0800

martin rudalics <[email-masked]> writes:

>>> I'm too silly to understand how this is related to the issue at hand.
>>> Can you please elaborate?
>>
>> AFAIU, mouse-movement events generated by moving the mouse over the
>> toolbar don't contain a window, but rather the frame the toolbar belongs
>> to.

> Yes, but how does 'mouse-minibuffer-check' enter this picture?

It's called by mouse-drag-track, with START-EVENT as its argument.

> I see.  Dragging the secondary selection seems to work here with the
> trivial patch below.  Can you try it?

I'm sorry, but it doesn't resolve the problem.

Binding [tool-bar mouse-movement] to mouse-drag-region still results in
the same error from mouse-minibuffer-track when the mouse is dragged
over the toolbar.

Thanks